Skip to main content
PUT
/
groups
/
{id}
/
participants
curl --request PUT \ --url https://api.wsapi.chat/groups/{id}/participants \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --header 'X-Instance-Id: <x-instance-id>' \ --data ' { "participants": [ "1234567890@s.whatsapp.net" ], "action": "add" } '
{
  "status": 400,
  "detail": "invalid request body"
}

Authorizations

X-Api-Key
string
header
required

Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.

Headers

X-Instance-Id
string
default:{{instanceId}}
required

The ID of the WhatsApp instance to use

Path Parameters

id
string
required

Group JID

Body

application/json
participants
string[]
required
Minimum array length: 1
action
enum<string>
required
Available options:
add,
remove,
promote,
demote

Response

Participants updated